var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var core_1 = require('@angular/core');
var GridComponent = (function () {
    function GridComponent() {
        this.filterSettings = { filterType: "menu" };
        this.gridData = new ej.DataManager({
            url: "http://js.syncfusion.com/demos/ejServices/Wcf/Northwind.svc/Orders", crossDomain: true
        });
        this.dataList = [];
    }
    GridComponent.prototype.onactionComplete = function (e) {
        debugger;
        var gridObj = $("#Grid").ejGrid("instance");
        this.stateChanges(e, gridObj);
    };
    ;
    GridComponent.prototype.stateChanges = function (args, proxy) {
        if (args.requestType != "refresh") {
            var columns = proxy.model.columns.slice();
            if (args.type == "resizeEnd") {
                var gridCol = new ej.DataManager(columns).executeLocal(new ej.Query().where("field", ej.FilterOperators.equal, args.column.field))[0];
                var inx = columns.indexOf(gridCol);
                columns[inx].width = args.newWidth;
            }
            var state = {
                cols: columns,
                groupedCol: proxy.model.groupSettings.groupedColumns.slice(),
                sortedCol: proxy.model.sortSettings.sortedColumns.slice(),
                filteredCol: proxy.model.filterSettings.filteredColumns.slice()
            };
            var object = JSON.stringify(state); //converting object to string
            $.ajax({
                type: "POST",
                url: "/Home/Query",
                data: { "gridObj": object },
                success: function (data, status, xhr) {
                    //On Success save the data which is the time
                    //based on the time saving of Grid object in the db takes place
                    var TempData = [];
                    var obj = $('#list').ejDropDownList("instance");
                    if (!ej.isNullOrUndefined(obj.model.dataSource))
                        TempData = obj.model.dataSource;
                    TempData.push({ dataTime: data, text: data });
                    $('#list').ejDropDownList("destroy");
                    //destroy and update the dropdownlist's dataSouce
                    $('#list').ejDropDownList({ dataSource: TempData });
                },
            });
        }
    };
    __decorate([
        core_1.ViewChild('grid')
    ], GridComponent.prototype, "Grid", void 0);
    GridComponent = __decorate([
        core_1.Component({
            selector: 'ej-app',
            templateUrl: './grid.component.html',
        })
    ], GridComponent);
    return GridComponent;
})();
exports.GridComponent = GridComponent;
